<template>
  <div class="flex flex-row relative sm:flex-col rounded-xl shadow-md overflow-hidden">
    <img class="flex-shrink object-cover h-full sm:h-40 w-full image-background sm:image-normal" :src="$props.imgSrc" :alt="$props.imgAlt"/>
    <div class="flex-grow flex flex-col">
      <span class="text-3xl font-bold text-center p-4">{{ $props.title }}</span>
      <span class="text-center mb-4">{{ $props.subtitle }}</span>
      <span class="text-center p-4">
      <slot/>
    </span>
    </div>
  </div>
</template>

<script lang="ts">
import {defineComponent} from "vue";

export default defineComponent({
  props: {
    title: {
      type: String,
      required: true,
    },
    subtitle: {
      type: String,
      required: true,
    },
    imgSrc: {
      type: String,
      required: true,
    },
    imgAlt: {
      type: String,
      required: true,
    },
  },
});
</script>

<style scoped>
</style>
